[@algorandfoundation/algokit-utils](../README.md) / [types/app](../modules/types_app.md) / AppReference

# Interface: AppReference

[types/app](../modules/types_app.md).AppReference

Information about an Algorand app

## Hierarchy

- **`AppReference`**

  ↳ [`AppMetadata`](types_app.AppMetadata.md)

## Table of contents

### Properties

- [appAddress](types_app.AppReference.md#appaddress)
- [appId](types_app.AppReference.md#appid)

## Properties

### appAddress

• **appAddress**: `string`

The Algorand address of the account associated with the app

#### Defined in

[src/types/app.ts:43](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app.ts#L43)

___

### appId

• **appId**: `number` \| `bigint`

The id of the app

#### Defined in

[src/types/app.ts:41](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app.ts#L41)
